cancel
Showing results for 
Search instead for 
Did you mean: 

Emacs on 11.23?

SOLVED
Go to solution
dictum9
Super Advisor

Emacs on 11.23?

Trying to compile Emacs on 11.23, Itanium and getting this, any idea? I find it very strange that it hasn't been ported yet, if it worked on older version, should work here?

/emacs-23.1#: ./configure
checking build system type... ia64-hp-hpux11.23 checking host system type... ia64-hp-hpux11.23
configure: error: Emacs hasn't been ported to `ia64-hp-hpux11.23' systems.
Check `etc/MACHINES' for recognized configuration names.
8 REPLIES
Pete Randall
Outstanding Contributor
Solution

Re: Emacs on 11.23?

I would suggest downloading a version that has already been built for 11.23 ia64:

http://hpux.connect.org.uk/ftp/hpux/Editors/emacs-22.3/emacs-22.3-ia64-11.23.depot.gz


Pete

Pete
dictum9
Super Advisor

Re: Emacs on 11.23?

I installed it so that's progress.

however it crashes when I try to run it:

# emacs
/usr/lib/hpux32/dld.so: Unable to find library 'libgtk-x11-2.0.so'.
dictum9
Super Advisor

Re: Emacs on 11.23?

Pete Randall
Outstanding Contributor

Re: Emacs on 11.23?

There is a substantial list of run-time dependencies, including the gtk tool kit that you failed on. A lot of downloading and installing, I'm afraid.


Pete

Pete
dictum9
Super Advisor

Re: Emacs on 11.23?

I installed almost all of them, except libgtk, the one I really need. The link is dead for 11.23 Ita on this page.
Any idea where else I can get it?

http://hpux.connect.org.uk/hppd/hpux/Gtk/Development/gtk+2-2.16.6/
dictum9
Super Advisor

Re: Emacs on 11.23?

What I need is libgtk-x11-2.0.so

The link for 11.23 is broken. I will try the link for 11.31.

dictum9
Super Advisor

Re: Emacs on 11.23?


I found out I have it on the system. Why isn't Emacs finding it? I added it to the PATH.

/opt/gtk2.6/lib/libgtk-x11-2.0.so
dictum9
Super Advisor

Re: Emacs on 11.23?

Issue resolved -- I got the remaining libs off the mirror site as the main site wasn't able to provide all of them.

Installed GTK and all works now.